Create a new List Item
Request
https://api.castle.io/v1/lists/{list_id}/items Path parameters
list_idrequired | string ID of the List |
Request body
primary_value | string Value of the |
secondary_value | string | null Optional secondary value. If this value is set, it means that for a List Item to match an Event, both the |
comment | string An arbitrary string that can be used to eg. explain why this List Item was created. Often useful to display to other users. |
author | object Indicates who or how the list item was created. Typically, this refers to the user that created the item from within the Castle Dashboard, or the policy ID if it was automatically created via automation. |
type | string $analyst_email$castle_agent$castle_dashboard_user$castle_policy$user$user_email$other |
identifier | string |
auto_archives_at | string (date-time) | null Time after which a the List Item will be automatically archived and no longer matched against each event. A value of |
mode | stringDefault: errorDescribes a strategy to use when a List Item with the same
$error$replace$update$update_or_replace |
Response
201 | object Returns the newly created List Item | ||||||||||||||||||||||
| |||||||||||||||||||||||
401 | No body You are missing the Authorization header, or the API secret is missing or incorrect. | ||||||||||||||||||||||
403 | No body The request is rejected because the service is not enabled for this account. | ||||||||||||||||||||||
422 | object The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint. | ||||||||||||||||||||||
| |||||||||||||||||||||||
429 | No body You performed too many requests. You should back off and retry using the exponential backoff algorithm. | ||||||||||||||||||||||
500 | No body There’s an issue on our end. | ||||||||||||||||||||||